Wireshark-dev: Re: [Wireshark-dev] Anyone of the developers going to support Win98 (and alike)
From: Ulf Lamping <[email protected]>
Date: Sat, 26 Aug 2006 15:52:26 +0200
Erwin Rol wrote:
I assume this is due to the request from Tor Lillqvist on the GTK list
to drop support for those platforms in upcoming GTK releases.
No, it's simply by the way that we know Win9x don't work with Wireshark but we intend it could in the docs.
I just want to have a clear statement on this.
I am all for moving to GTK > 2.8 and drop any platform that isn't
supported by it.
A question; would the text-only version still work ? If not could win98
still use tcpdump and capture stuff on a win9x machine but than do the
dissecting with a Wireshark on a real OS ? "Solutions" like that might
make it less painful for those poor souls still stuck with those old
platforms :-)
I think current Wireshark and TShark (and I would guess dumpcap as well) require Unicode support, so they won't work on 9x.
As I've noted, the last know working version was Ethereal 0.99.0 which 
included the dumpcap tool (in a none Unicode version).
The next problem with that is that WinPcap doesn't actively support 9x 
either, so if there are problems ...
IMO the best solution for 9x is to use dumpcap from Ethereal 0.99.0 
(which aren't vulnerable to any dissector bugs as it contains none), and 
Analyze the traffic on another machine.
Regards, ULFL